import { TypeOrmCrudService } from "@nestjsx/crud-typeorm";
import { TokenCoinMarketCapDataHistory } from "./token-coin-market-cap-data-history.entity";
import { DeepPartial, DeleteResult, EntityManager, FindOperator, FindOptionsWhere, InsertResult, Repository, UpdateResult } from "typeorm";
export declare class TokenCoinMarketCapDataHistoryService extends TypeOrmCrudService<TokenCoinMarketCapDataHistory> {
    readonly repo: Repository<TokenCoinMarketCapDataHistory>;
    private readonly entity;
    private readonly relations;
    private readonly recursiveRelations;
    constructor(repo: Repository<TokenCoinMarketCapDataHistory>);
    findOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<TokenCoinMarketCapDataHistory>;
    findAllBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<TokenCoinMarketCapDataHistory[]>;
    createOneBy(params: DeepPartial<TokenCoinMarketCapDataHistory>, manager?: EntityManager): Promise<TokenCoinMarketCapDataHistory>;
    createAllBy(params: DeepPartial<TokenCoinMarketCapDataHistory>[], manager?: EntityManager): Promise<TokenCoinMarketCapDataHistory[]>;
    createAllIfNotExistBy(params: DeepPartial<TokenCoinMarketCapDataHistory>[], manager?: EntityManager): Promise<InsertResult>;
    updateOneBy(where: FindOptionsWhere<TokenCoinMarketCapDataHistory>, set: {
        [K in keyof TokenCoinMarketCapDataHistory]?: any;
    }, manager?: EntityManager): Promise<UpdateResult>;
    deleteOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<DeleteResult>;
}
